Package ghidra.trace.model

# Interface TraceAddressSnapRange

All Superinterfaces:
  `BoundedShape<TraceAddressSnapRange>`, `BoundingShape<TraceAddressSnapRange>`, `Rectangle2D<Address,Long,TraceAddressSnapRange>`

All Known Implementing Classes:
  `AbstractDBTraceCodeUnit`, `AbstractDBTracePropertyMap.DBTraceIntPropertyMapEntry`, `AbstractDBTracePropertyMap.DBTraceLongPropertyMapEntry`, `AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry`, `AbstractDBTracePropertyMap.DBTraceStringPropertyMapEntry`, `AbstractDBTracePropertyMap.DBTraceVoidPropertyMapEntry`, `DBTraceAddressSnapRangePropertyMapTree.AbstractDBTraceAddressSnapRangePropertyMapData`, `DBTraceAddressSnapRangePropertyMapTree.DBTraceAddressSnapRangePropertyMapNode`, `DBTraceBookmark`, `DBTraceCommentAdapter.DBTraceCommentEntry`, `DBTraceData`, `DBTraceDataSettingsAdapter.DBTraceSettingsEntry`, `DBTraceEquateSpace.DBTraceEquateReference`, `DBTraceInstruction`, `DBTraceReferenceSpace.DBTraceReferenceEntry`, `DBTraceReferenceSpace.DBTraceXRefEntry`, `DBTraceRegisterContextManager.DBTraceRegisterContextEntry`, `DBTraceSymbolManager.DBTraceSymbolIDEntry`, `ImmutableTraceAddressSnapRange`

public interface TraceAddressSnapRange extends Rectangle2D<Address,Long,TraceAddressSnapRange>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default String`
  `description()`
  `default TraceAddressSnapRange`
  `getBounds()`
  `Lifespan`
  `getLifespan()`
  `AddressRange`
  `getRange()`
  `default Address`
  `getX1()`
  `default Address`
  `getX2()`
  `default Long`
  `getY1()`
  `default Long`
  `getY2()`
  `default TraceAddressSnapRange`
  `immutable(Address x1, Address x2, Long y1, Long y2)`

  ### Methods inherited from interface ghidra.util.database.spatial.rect.Rectangle2D

  `computeAreaIntersection, computeAreaUnionBounds, computeCentroidDistance, contains, contains, doEquals, doHashCode, enclosedBy, encloses, getArea, getCenter, getMargin, getSpace, intersection, intersects, unionBounds`

- ## Method Details

  - ### getLifespan

    Lifespan getLifespan()

  - ### getRange

    AddressRange getRange()

  - ### getBounds

    default TraceAddressSnapRange getBounds()
    Specified by:
      `getBounds` in interface `BoundedShape<TraceAddressSnapRange>`

  - ### getX1

    default Address getX1()
    Specified by:
      `getX1` in interface `Rectangle2D<Address,Long,TraceAddressSnapRange>`

  - ### getX2

    default Address getX2()
    Specified by:
      `getX2` in interface `Rectangle2D<Address,Long,TraceAddressSnapRange>`

  - ### getY1

    default Long getY1()
    Specified by:
      `getY1` in interface `Rectangle2D<Address,Long,TraceAddressSnapRange>`

  - ### getY2

    default Long getY2()
    Specified by:
      `getY2` in interface `Rectangle2D<Address,Long,TraceAddressSnapRange>`

  - ### immutable

    default TraceAddressSnapRange immutable(Address x1, Address x2, Long y1, Long y2)
    Specified by:
      `immutable` in interface `Rectangle2D<Address,Long,TraceAddressSnapRange>`

  - ### description

    default String description()
    Specified by:
      `description` in interface `BoundedShape<TraceAddressSnapRange>`